<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    //
    public $timestamps = true;
    protected $fillable = ["cat_id","sub_cat_name"];
    public function all_category()
    {
    	$x = $this->select("*")->orderBy("cat_name","asc")->paginate(10);
    	return $x;
    }
    public function category_where_clause($where)
    {
    	$x = $this->where($where)->get()->toArray();
    	#echo "<pre>";print_r($x);
    	return $x;
    }
    public function category_record()
    {
        $x = $this->where("id","!=",2)->get()->toArray();
        return $x;
    }

    public function update_record($all_var)
    {
    	$update_array = array("cat_name"=>$all_var["cat_name"]);
    	$x = $this->where("id",$all_var["id"])->update($update_array); 
    	return $x;
    }
}
