<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post("registration","api\ApiController@registration");
Route::post("login","api\ApiController@login");
Route::post("userForgotPassword","api\ApiController@userForgotPassword");
Route::middleware(["Checkusertoken"])->group(function(){
	Route::post("getProfile","api\ApiController@getProfile");
	Route::post("edituserprofile","api\ApiController@EditUserProfile");
});