@include("admin.template.header")
@include("admin.template.sidebar")

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
 	<!-- Content Header (Page header) -->
 	<section class="content-header">
      <h1>
        {{$data['heading']}}
      </h1>
      <ol class="breadcrumb">
        <li><a href="{{url('admin/dashboard')}}"><i class="fa fa-dashboard"></i> {{ __('messages.Dashboard')}}</a></li>
       	<li class="active">{{$data['heading']}}</li>
      </ol>
 	</section>

 	<!-- Main content -->
 	<section class="content">
      <div class="row">
      		<div class="col-xs-6">	
      			{!! session("message") !!}
      		</div>	
        	<div class="col-xs-12">

          	<div class="box">
	            <div class="box-header">
	              <!-- <h3 class="box-title">Hover Data Table</h3> -->
	            </div>
            	<!-- /.box-header -->
            	<div class="box-body">
              		{{Form::open(array("method"=>"post","url"=>"admin/editCatSubmit"))}}
          			<div class="col-md-6">
                     	<div class="form-group">
                        	{{Form::label("Category",__('messages.Category'))}}
                        	{{Form::text("cat_name",$data["record"][0]["cat_name"],["class"=>"form-control"])}}
                        	{{Form::hidden("id",$data["record"][0]["id"],["class"=>"form-control"])}}
                    	</div>              		
                    </div>
                    <div class="col-md-6">
                     	<div class="form-group">
                        	{{Form::submit(__('messages.Submit'),["class"=>"btn btn-primary"])}}
                    	</div>              		
                    </div>
              		{{Form::close()}}
	            </div>
            	<!-- /.box-body -->
              		
          	</div>
         </div>
        	<!-- /.col -->
      </div>
      <!-- /.row -->
 	</section>
 	<!-- /.content -->
</div>
  <!-- /.content-wrapper -->
@include("admin.template.footer")