<!DOCTYPE html>
<html lang="en">
<head>
  <title>{{$heading}}</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>

    <div class="container">
        <div class="col-md-12">
        {!! session("message") !!}
            <div class="bg-title">
                <h2>{{$heading}}</h2>
            </div>
            <form action="{{url('admin/LoginSubmit')}}" method="post">
            {!! csrf_field() !!} 
            <div class="form-group">
              <label for="email">{{ __('messages.Username')}} :</label>
              <input type="text" class="form-control input-fld" id="username" name="username">
              <div class="error">{{ $errors->first("username") }}</div>
            </div>
            <div class="form-group">
              <label for="pwd">{{ __('messages.Password')}} :</label>
              <input type="password" class="form-control input-fld" id="password" name="password">
              <div class="error">{{ $errors->first("password") }}</div>
            </div>
            <button type="submit" class="btn btn-primary">{{ __('messages.Submit')}}</button>
          </form>
        </div>  
    </div>

</body>
</html>
