 <!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">
   <!-- sidebar: style can be found in sidebar.less -->
   <section class="sidebar">
      <!-- Sidebar user panel -->
      <div class="user-panel">
         <div class="pull-left image">
            <img src="<?php echo e(url('public/admin-js-css/dist/img/user2-160x160.jpg')); ?>" class="img-circle" alt="User Image">
         </div>
         <div class="pull-left info">
            <p><?php echo e(__('messages.Admin')); ?></p>
            <a href="#"><i class="fa fa-circle text-success"></i> <?php echo e(__('messages.Online')); ?></a>
         </div>
      </div>
      <!-- search form -->

      <!-- /.search form -->
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
         <li class="header"><?php echo e(__('messages.MAIN NAVIGATION')); ?></li>
         
        
         
         <?php
         $current_route = Request::segment(2);
         $menu_open_class = "";
         $active_class = "active";
         $style_display = "";
         $blank_class = "";
         $user_route_array = array("addCategory","listCategory","editCategory"); 
         if(in_array($current_route,$user_route_array))
         {
            $menu_open_class = "menu-open";
            $style_display = "style=display:block";
         }else{
            $menu_open_class = "";
            $style_display = "style=display:none";
            
         }
         ?>
         <li class="treeview <?php echo $menu_open_class; ?>">
            <a href="#">
               <i class="fa fa-dashboard"></i> <span><?php echo e(__('messages.Category')); ?></span>
               <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
               </span>
            </a>
            <ul class="treeview-menu" <?php echo e($style_display); ?>>
               <li class="<?php if($current_route == 'addCategory'): ?><?php echo e($active_class); ?><?php endif; ?>">
                  <a href="<?php echo e(url('admin/addCategory')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(__('messages.addCategory')); ?></a>
               </li>
               <li class="<?php if($current_route == 'listCategory' || $current_route == 'editCategory' ): ?><?php echo e($active_class); ?><?php endif; ?>">
                  <a href="<?php echo e(url('admin/listCategory')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(__('messages.List Category')); ?></a>
               </li>
               

            </ul>
         </li>
         <?php
         $current_route = Request::segment(2);
         $menu_open_class = "";
         $active_class = "active";
         $style_display = "";
         $blank_class = "";
         $user_route_array = array("addSubCategory","listSubCategory","editSubCategory");
         if(in_array($current_route,$user_route_array))
         {
            $menu_open_class = "menu-open";
            $style_display = "style=display:block";
         }else{
            $menu_open_class = "";
            $style_display = "style=display:none";
            
         }
         ?>
         <li class="treeview <?php echo $menu_open_class; ?>">
            <a href="#">
               <i class="fa fa-dashboard"></i> <span><?php echo e(__('messages.Sub Category')); ?></span>
               <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
               </span>
            </a>
            <ul class="treeview-menu" <?php echo e($style_display); ?>>
               <li class="<?php if($current_route == 'addSubCategory'): ?><?php echo e($active_class); ?><?php endif; ?>">
                  <a href="<?php echo e(url('admin/addSubCategory')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(__('messages.addSubCategory')); ?></a>
               </li>
               <li class="<?php if($current_route == 'listSubCategory' || $current_route == 'editSubCategory'): ?><?php echo e($active_class); ?><?php endif; ?>">
                  <a href="<?php echo e(url('admin/listSubCategory')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(__('messages.listSubCategory')); ?></a>
               </li>
            </ul>
         </li>
         
         <!-- <?php
         $current_route = Request::segment(2);
         $menu_open_class = "";
         $active_class = "active";
         $style_display = "";
         $blank_class = "";
         $user_route_array = array("AdminInfo"); 
         if(in_array($current_route,$user_route_array))
         {
            $menu_open_class = "menu-open";
            $style_display = "style=display:block";
         }else{
            $menu_open_class = "";
            $style_display = "style=display:none";
            
         }
         ?>
         <li class="treeview <?php echo $menu_open_class; ?>">
            <a href="#">
               <i class="fa fa-dashboard"></i> <span><?php echo e(__('messages.Master')); ?></span>
               <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
               </span>
            </a>
            <ul class="treeview-menu" <?php echo e($style_display); ?>>
               <li class="<?php if($current_route == 'AdminInfo'): ?><?php echo e($active_class); ?><?php endif; ?>">
                  <a href="<?php echo e(url('admin/AdminInfo')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(__('messages.AdminInfo')); ?></a>
               </li>
            </ul>
         </li> 
         -->       
         <?php
         /*
          $current_route = Request::segment(2);
          $active_class = "active";
         ?>
         
         <li class="<?php if($current_route == 'siteSetting'): ?><?php echo e($active_class); ?><?php endif; ?>">
            <a href="<?php echo e(url('admin/siteSetting')); ?>">
            <i class="fa fa-circle-o text-red"></i> 
            <span><?php echo e(__('messages.Site Setting')); ?></span></a>
         </li>
         <?php */ ?>
      </ul>
   </section>
   <!-- /.sidebar -->
</aside><?php /**PATH /home/wwwcurzenncloud/public_html/burger/resources/views/admin/template/sidebar.blade.php ENDPATH**/ ?>